IE8 compatibility with OpenAM12.0

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

IE8 compatibility with OpenAM12.0

Null
Hi,everyone
                My environment are  System:window xp, browser:IE 8.0, version of OpenAM: OpenAM12.0.
               When I browse openam, the page is always loading. And I can't get access to the login page. Browser shows error message as follows "Module name "LoginView" has not been loaded yet for context: _. Use require([])  http://requirejs.org/docs / errors.html# notloaded". It seems there is a compatibility problem between IE 8 and OpenAM 12.0. 
               Besides, I find that the exception is thrown in requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
               How can I access openam in IE8?
 

_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

Re: IE8 compatibility with OpenAM12.0

Zoltan Tarcsay

On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]> wrote:
Hi,everyone
                My environment are  System:window xp, browser:IE 8.0, version of OpenAM: OpenAM12.0.
               When I browse openam, the page is always loading. And I can't get access to the login page. Browser shows error message as follows "Module name "LoginView" has not been loaded yet for context: _. Use require([])  http://requirejs.org/docs / errors.html# notloaded". It seems there is a compatibility problem between IE 8 and OpenAM 12.0. 
               Besides, I find that the exception is thrown in requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
               How can I access openam in IE8?
 

_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam



_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

回复: IE8 compatibility with OpenAM12.0

Null
Thanks for reply. Does anyone have methods to access openam in Xp?


------------------ 原始邮件 ------------------
发件人: "Zoltan Tarcsay";<[hidden email]>;
发送时间: 2015年3月17日(星期二) 下午5:58
收件人: "Users"<[hidden email]>;
主题: Re: [OpenAM] IE8 compatibility with OpenAM12.0


On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]> wrote:
Hi,everyone
                My environment are  System:window xp, browser:IE 8.0, version of OpenAM: OpenAM12.0.
               When I browse openam, the page is always loading. And I can't get access to the login page. Browser shows error message as follows "Module name "LoginView" has not been loaded yet for context: _. Use require([])  http://requirejs.org/docs / errors.html# notloaded". It seems there is a compatibility problem between IE 8 and OpenAM 12.0. 
               Besides, I find that the exception is thrown in requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
               How can I access openam in IE8?
 

_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam



_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

Re: 回复: IE8 compatibility with OpenAM12.0

Bernhard Thalmayr
Am 3/17/15 um 11:26 AM schrieb Null:
> Thanks for reply. Does anyone have methods to access openam in Xp?

Could you use the legacy Login UI instead?

-Bernhard

>
>
> ------------------ 原始邮件 ------------------
> *发件人:* "Zoltan Tarcsay";<[hidden email]>;
> *发送时间:* 2015年3月17日(星期二) 下午5:58
> *收件人:* "Users"<[hidden email]>;
> *主题:* Re: [OpenAM] IE8 compatibility with OpenAM12.0
>
> http://docs.forgerock.org/en/openam/12.0.0/release-notes/index/chap-before-you-install.html#browser-requirements
>
> On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Hi,everyone
>                      My environment are System:window xp, browser:IE
>     8.0, version of OpenAM: OpenAM12.0.
>                     When I browse openam, the page is always loading.
>     And I can't get access to the login page. Browser shows error
>     message as follows "Module name "LoginView" has not been loaded yet
>     for context: _. Use require([]) http://requirejs.org/docs /
>     errors.html# notloaded". It seems there is a compatibility problem
>     between IE 8 and OpenAM 12.0. ‍
>                     Besides, I find that the exception is thrown in
>     requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
>                     How can I access openam in IE8?
>
>     _______________________________________________
>     Visit the OpenAM forum at
>     https://forgerock.org/forum/fr-projects/openam/
>     OpenAM mailing list
>     [hidden email] <mailto:[hidden email]>
>     https://lists.forgerock.org/mailman/listinfo/openam
>
>
>
>
> _______________________________________________
> Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
> OpenAM mailing list
> [hidden email]
> https://lists.forgerock.org/mailman/listinfo/openam
>


--
Painstaking Minds
IT-Consulting Bernhard Thalmayr
Herxheimer Str. 5, 83620 Vagen (Munich area), Germany
Tel: +49 (0)8062 7769174
Mobile: +49 (0)176 55060699

[hidden email] - Solution Architect
http://www.xing.com/profile/Bernhard_Thalmayr
http://de.linkedin.com/in/bernhardthalmayr

This e-mail may contain confidential and/or privileged information.If
you are not the intended recipient (or have received this email in
error) please notify the sender immediately and delete this e-mail. Any
unauthorized copying, disclosure or distribution of the material in this
e-mail is strictly forbidden.
_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

Re: IE8 compatibility with OpenAM12.0

Peter Major
In reply to this post by Null
http://www.microsoft.com/en-us/windows/enterprise/end-of-support.aspx

2015. 03. 17. 10:26 keltezéssel, Null írta:

> Thanks for reply. Does anyone have methods to access openam in Xp?
>
>
> ------------------ 原始邮件 ------------------
> *发件人:* "Zoltan Tarcsay";<[hidden email]>;
> *发送时间:* 2015年3月17日(星期二) 下午5:58
> *收件人:* "Users"<[hidden email]>;
> *主题:* Re: [OpenAM] IE8 compatibility with OpenAM12.0
>
> http://docs.forgerock.org/en/openam/12.0.0/release-notes/index/chap-before-you-install.html#browser-requirements
>
> On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Hi,everyone
>                      My environment are System:window xp, browser:IE
>     8.0, version of OpenAM: OpenAM12.0.
>                     When I browse openam, the page is always loading.
>     And I can't get access to the login page. Browser shows error
>     message as follows "Module name "LoginView" has not been loaded yet
>     for context: _. Use require([]) http://requirejs.org/docs /
>     errors.html# notloaded". It seems there is a compatibility problem
>     between IE 8 and OpenAM 12.0. ‍
>                     Besides, I find that the exception is thrown in
>     requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
>                     How can I access openam in IE8?
_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

回复: 回复: IE8 compatibility with OpenAM12.0

Null
In reply to this post by Bernhard Thalmayr
I have no idea about legacy Login UI. Can you give me some more specific information,please?


------------------ 原始邮件 ------------------
发件人: "Bernhard Thalmayr"<[hidden email]>;
发送时间: 2015年3月17日(星期二) 晚上6:29
收件人: "openam"<[hidden email]>;
主题: Re: [OpenAM]回复: IE8 compatibility with OpenAM12.0

Am 3/17/15 um 11:26 AM schrieb Null:
> Thanks for reply. Does anyone have methods to access openam in Xp?

Could you use the legacy Login UI instead?

-Bernhard

>
>
> ------------------ 原始邮件 ------------------
> *发件人:* "Zoltan Tarcsay";<[hidden email]>;
> *发送时间:* 2015年3月17日(星期二) 下午5:58
> *收件人:* "Users"<[hidden email]>;
> *主题:* Re: [OpenAM] IE8 compatibility with OpenAM12.0
>
> http://docs.forgerock.org/en/openam/12.0.0/release-notes/index/chap-before-you-install.html#browser-requirements
>
> On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Hi,everyone
>                      My environment are System:window xp, browser:IE
>     8.0, version of OpenAM: OpenAM12.0.
>                     When I browse openam, the page is always loading.
>     And I can't get access to the login page. Browser shows error
>     message as follows "Module name "LoginView" has not been loaded yet
>     for context: _. Use require([]) http://requirejs.org/docs /
>     errors.html# notloaded". It seems there is a compatibility problem
>     between IE 8 and OpenAM 12.0. ‍
>                     Besides, I find that the exception is thrown in
>     requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
>                     How can I access openam in IE8?
>
>     _______________________________________________
>     Visit the OpenAM forum at
>     https://forgerock.org/forum/fr-projects/openam/
>     OpenAM mailing list
>     [hidden email] <mailto:[hidden email]>
>     https://lists.forgerock.org/mailman/listinfo/openam
>
>
>
>
> _______________________________________________
> Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
> OpenAM mailing list
> [hidden email]
> https://lists.forgerock.org/mailman/listinfo/openam
>


--
Painstaking Minds
IT-Consulting Bernhard Thalmayr
Herxheimer Str. 5, <span style="border-bottom:1px dashed #ccc;z-index:1" t="6" onclick="return false;" data="83620">83620 Vagen (Munich area), Germany
Tel: +49 (0)8062 <span style="border-bottom:1px dashed #ccc;z-index:1" t="6" onclick="return false;" data="7769174">7769174
Mobile: +49 (0)176 <span style="border-bottom-width: 1px; border-bottom-style: dashed; border-bottom-color: rgb(204, 204, 204); z-index: 1; position: static;" t="6" onclick="return false;" data="55060699">55060699

[hidden email] - Solution Architect
http://www.xing.com/profile/Bernhard_Thalmayr
http://de.linkedin.com/in/bernhardthalmayr

This e-mail may contain confidential and/or privileged information.If
you are not the intended recipient (or have received this email in
error) please notify the sender immediately and delete this e-mail. Any
unauthorized copying, disclosure or distribution of the material in this
e-mail is strictly forbidden.
_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam

_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

Re: 回复: 回复: IE8 compatibility with OpenAM12.0

Bernhard Thalmayr
You could install 'ssoadm' CLI tool (see docs) and disable XUI but use
the old auth UI.

http://docs.forgerock.org/en/openam/12.0.0/reference/index.html#authentication-configuration


ssoadm set-attr-defs -s iPlanetAMAuthService -t global -a
openam-xui-interface-enabled=false

-Bernhard

Am 3/17/15 um 11:36 AM schrieb Null:

> I have no idea about legacy Login UI. Can you give me some more specific
> information,please?
>
>
> ------------------ 原始邮件 ------------------
> *发件人:* "Bernhard Thalmayr"<[hidden email]>;
> *发送时间:* 2015年3月17日(星期二) 晚上6:29
> *收件人:* "openam"<[hidden email]>;
> *主题:* Re: [OpenAM]回复: IE8 compatibility with OpenAM12.0
>
> Am 3/17/15 um 11:26 AM schrieb Null:
>  > Thanks for reply. Does anyone have methods to access openam in Xp?
>
> Could you use the legacy Login UI instead?
>
> -Bernhard
>  >
>  >
>  > ------------------ 原始邮件 ------------------
>  > *发件人:* "Zoltan Tarcsay";<[hidden email]
> <mailto:[hidden email]>>;
>  > *发送时间:* 2015年3月17日(星期二) 下午5:58
>  > *收件人:* "Users"<[hidden email] <mailto:[hidden email]>>;
>  > *主题:* Re: [OpenAM] IE8 compatibility with OpenAM12.0
>  >
>  >
> http://docs.forgerock.org/en/openam/12.0.0/release-notes/index/chap-before-you-install.html#browser-requirements
> <http://docs.forgerock.org/en/openam/12.0.0/release-notes/index/chap-before-you-install.html#browser-requirements>
>  >
>  > On Tue, Mar 17, 2015 at 9:45 AM, Null <[hidden email]
> <mailto:[hidden email]>
>  > <mailto:[hidden email] <mailto:[hidden email]>>> wrote:
>  >
>  >     Hi,everyone
>  >                      My environment are System:window xp, browser:IE
>  >     8.0, version of OpenAM: OpenAM12.0.
>  >                     When I browse openam, the page is always loading.
>  >     And I can't get access to the login page. Browser shows error
>  >     message as follows "Module name "LoginView" has not been loaded yet
>  >     for context: _. Use require([]) http://requirejs.org/docs
> <http://requirejs.org/docs> /
>  >     errors.html# notloaded". It seems there is a compatibility problem
>  >     between IE 8 and OpenAM 12.0. ‍
>  >                     Besides, I find that the exception is thrown in
>  >     requirejs-2.1.14-min.js(Line 8 function ca(b){throw b;}).
>  >                     How can I access openam in IE8?
>  >
>  >     _______________________________________________
>  >     Visit the OpenAM forum at
>  > https://forgerock.org/forum/fr-projects/openam/
> <https://forgerock.org/forum/fr-projects/openam/>
>  >     OpenAM mailing list
>  > [hidden email] <mailto:[hidden email]>
> <mailto:[hidden email] <mailto:[hidden email]>>
>  > https://lists.forgerock.org/mailman/listinfo/openam
> <https://lists.forgerock.org/mailman/listinfo/openam>
>  >
>  >
>  >
>  >
>  > _______________________________________________
>  > Visit the OpenAM forum at
> https://forgerock.org/forum/fr-projects/openam/
> <https://forgerock.org/forum/fr-projects/openam/>
>  > OpenAM mailing list
>  > [hidden email] <mailto:[hidden email]>
>  > https://lists.forgerock.org/mailman/listinfo/openam
> <https://lists.forgerock.org/mailman/listinfo/openam>
>  >
>
>
> --
> Painstaking Minds
> IT-Consulting Bernhard Thalmayr
> Herxheimer Str. 5, 83620 Vagen (Munich area), Germany
> Tel: +49 (0)8062 7769174
> Mobile: +49 (0)176 55060699
>
> [hidden email]
> <mailto:[hidden email]> - Solution Architect
> http://www.xing.com/profile/Bernhard_Thalmayr
> <http://www.xing.com/profile/Bernhard_Thalmayr>
> http://de.linkedin.com/in/bernhardthalmayr
> <http://de.linkedin.com/in/bernhardthalmayr>
>
> This e-mail may contain confidential and/or privileged information.If
> you are not the intended recipient (or have received this email in
> error) please notify the sender immediately and delete this e-mail. Any
> unauthorized copying, disclosure or distribution of the material in this
> e-mail is strictly forbidden.
> _______________________________________________
> Visit the OpenAM forum at
> https://forgerock.org/forum/fr-projects/openam/
> <https://forgerock.org/forum/fr-projects/openam/>
> OpenAM mailing list
> [hidden email] <mailto:[hidden email]>
> https://lists.forgerock.org/mailman/listinfo/openam
> <https://lists.forgerock.org/mailman/listinfo/openam>
>
>
> _______________________________________________
> Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
> OpenAM mailing list
> [hidden email]
> https://lists.forgerock.org/mailman/listinfo/openam
>


--
Painstaking Minds
IT-Consulting Bernhard Thalmayr
Herxheimer Str. 5, 83620 Vagen (Munich area), Germany
Tel: +49 (0)8062 7769174
Mobile: +49 (0)176 55060699

[hidden email] - Solution Architect
http://www.xing.com/profile/Bernhard_Thalmayr
http://de.linkedin.com/in/bernhardthalmayr

This e-mail may contain confidential and/or privileged information.If
you are not the intended recipient (or have received this email in
error) please notify the sender immediately and delete this e-mail. Any
unauthorized copying, disclosure or distribution of the material in this
e-mail is strictly forbidden.
_______________________________________________
Visit the OpenAM forum at https://forgerock.org/forum/fr-projects/openam/
OpenAM mailing list
[hidden email]
https://lists.forgerock.org/mailman/listinfo/openam
Reply | Threaded
Open this post in threaded view
|

Re: IE8 compatibility with OpenAM12.0

Allen Jensen
This post has NOT been accepted by the mailing list yet.
In reply to this post by Null
https://forgerock.org/topic/how-to-get-openam-12-x-to-work-with-ie8/



It’s not as hard as you might think to get basic login working – just 3 small changes and compile the styles.less into styles.css with node-less (or maven plugin)

We found some of our customers still had a hard requirement for IE8. I realize IE8 is not supported in 12.x and that IE8 after January 16, 2016 will not be supported by Microsoft (except on some embedded OS versions). I am opening this ticket because we figure out how to get it to work!

The change in AppConfiguration.js was just changing the order the routes were listed. Common has to be 1st

The change in UIUtils.js was a for loop that was using for(x in y) {..} where Y is an array – bad construct there, changed to for(i=0;i<y.length;++i)

The change in ThemeManager was to check for the document.createSyleSheet function and if present – add css/styles.css. You have to pre-compile the styles.less with node-less lessc compiler – but that’s all.

To get it to work I had to use the main.js that is not minified/compressed version so it pulls in the 3 changed files.

I noticed online several people wanting to get login with IE8 working – so the above may be of some help. Feel free to use the changes.
Reply | Threaded
Open this post in threaded view
|

Re: 回复: IE8 compatibility with OpenAM12.0

tsong
This post has NOT been accepted by the mailing list yet.
In reply to this post by Bernhard Thalmayr
HI Bernhard,

I am using Legacy UI just to get it working on IE8. however, when I want "Forgot Password" without personal question it becomes impossibile.

I prefer using XUI, but I can not get it working on IE8, the solution  on https://forgerock.org/topic/how-to-get-openam-12-x-to-work-with-ie8/  is not very clear.

Do you have some better suggestions?